# `infrahubctl check`

Execute user-defined checks.

**Usage**:

```console
$ infrahubctl check [OPTIONS] [CHECK_NAME] [VARIABLES]...
```

**Arguments**:

* `[CHECK_NAME]`: Name of the Python check
* `[VARIABLES]...`: Variables to pass along with the query. Format key=value key=value.

**Options**:

* `--branch TEXT`
* `--path TEXT`: Root directory  [default: .]
* `--debug / --no-debug`: [default: no-debug]
* `--format-json / --no-format-json`: [default: no-format-json]
* `--config-file TEXT`: [env var: INFRAHUBCTL_CONFIG; default: infrahubctl.toml]
* `--list`: Show available Python checks
* `--install-completion`: Install completion for the current shell.
* `--show-completion`: Show completion for the current shell, to copy it or customize the installation.
* `--help`: Show this message and exit.
